Subject: Re: Bend function..check it out..weird
From: Joe <[email-masked]>
To: Multiple recipients of list <[email-masked]>
Date: Wed, 20 Dec 1995 11:55:28 -0500

> >Load up your favorite spline mesh or even object..
> >bend it somewhere.
> >now use the bend function again (numeric entry). look at the 
> >value in teh angle feild..enter the opposite of this 
> >nuimber..the bend funtion should return the object to its 
> >original form..by theory right??? But the opbject you will see 
> >it slightly distored..sometime elongated..and believe it or 
> >not..i can notice this in my animations...
> 
> is a bit like doing digital enhancement on a fuzzy image. You can try to
> approximate the original, and may even do a pretty good job of it, but you
> can never get back 100% of the original information. It will still only be a
> "best guess."
> 
> if I want to un-bend something, I hit Undo.
> This guarantees a perfect return to the previous state. In case I run out of
> Undo's, I always keeep an original version of the object anyway. Since
> re-bending an object is often (but not always) a no-no, I apply successively
> greater bends to successive copies of the original.

I agree undo and multiple saves are a good wayt to go.  As for the slight 
inacuracy in the reverse operation, I would say that this is doe to 
rounding off at the limits of the floating point precision calculations.

Here's one for you:
I have worked a bit with the bend tool trying to make that Wavy object 
with it.  take a multiple segmented long shape and bend it like about 
720 degrees.  Undo it and rotate the shape between 1 and 89 degrees in 
the bent view and apply the same bend to it.